package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCollectionItemMappingDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCollectionItemMapping;
import com.loafle.overflow.service.central.meta.MetaCollectionItemMappingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("MetaCollectionItemMappingService")
public class CentralMetaCollectionItemMappingService implements MetaCollectionItemMappingService {

  @Autowired
  MetaCollectionItemMappingDAO metaCollectionItemMappingDAO;

  @Override
  public List<MetaCollectionItemMapping> readAll() throws OverflowException {
    return this.metaCollectionItemMappingDAO.findAll();
  }

  @Override
  public List<MetaCollectionItemMapping> readAllByMetaDisplayItemMappingID(Long metaDisplayItemMappingID) throws OverflowException {
    return this.metaCollectionItemMappingDAO.findAllByMetaDisplayItemMappingId(metaDisplayItemMappingID);
  }

  @Override
  public List<MetaCollectionItemMapping> readAllByMetaCollectionItemID(Long metaCollectionItemID) throws OverflowException {
    return this.metaCollectionItemMappingDAO.findAllByMetaCollectionItemId(metaCollectionItemID);
  }
}
